diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/default-widgets.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/default-widgets.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/default-widgets.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/default-widgets.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 150,157 ****
  		<option value=""><?php _ex('All Links', 'links widget'); ?></option>
  		<?php
  		foreach ( $link_cats as $link_cat ) {
! 			echo '<option value="' . intval($link_cat->term_id) . '"'
! 				. ( $link_cat->term_id == $instance['category'] ? ' selected="selected"' : '' )
  				. '>' . $link_cat->name . "</option>\n";
  		}
  		?>
--- 150,157 ----
  		<option value=""><?php _ex('All Links', 'links widget'); ?></option>
  		<?php
  		foreach ( $link_cats as $link_cat ) {
! 			echo '<option value="' . intval( $link_cat->term_id ) . '"'
! 				. selected( $instance['category'], $link_cat->term_id, false )
  				. '>' . $link_cat->name . "</option>\n";
  		}
  		?>
***************
*** 161,167 ****
  			<option value="name"<?php selected( $instance['orderby'], 'name' ); ?>><?php _e( 'Link title' ); ?></option>
  			<option value="rating"<?php selected( $instance['orderby'], 'rating' ); ?>><?php _e( 'Link rating' ); ?></option>
  			<option value="id"<?php selected( $instance['orderby'], 'id' ); ?>><?php _e( 'Link ID' ); ?></option>
! 			<option value="rand"<?php selected( $instance['orderby'], 'rand' ); ?>><?php _e( 'Random' ); ?></option>
  		</select>
  		</p>
  		<p>
--- 161,167 ----
  			<option value="name"<?php selected( $instance['orderby'], 'name' ); ?>><?php _e( 'Link title' ); ?></option>
  			<option value="rating"<?php selected( $instance['orderby'], 'rating' ); ?>><?php _e( 'Link rating' ); ?></option>
  			<option value="id"<?php selected( $instance['orderby'], 'id' ); ?>><?php _e( 'Link ID' ); ?></option>
! 			<option value="rand"<?php selected( $instance['orderby'], 'rand' ); ?>><?php _ex( 'Random', 'Links widget' ); ?></option>
  		</select>
  		</p>
  		<p>
***************
*** 355,361 ****
  
  	function widget( $args, $instance ) {
  		extract($args);
! 		$title = apply_filters('widget_title', empty($instance['title']) ? '&nbsp;' : $instance['title'], $instance, $this->id_base);
  		echo $before_widget;
  		if ( $title )
  			echo $before_title . $title . $after_title;
--- 355,361 ----
  
  	function widget( $args, $instance ) {
  		extract($args);
! 		$title = apply_filters('widget_title', empty($instance['title']) ? '' : $instance['title'], $instance, $this->id_base);
  		echo $before_widget;
  		if ( $title )
  			echo $before_title . $title . $after_title;
***************
*** 536,544 ****
  		parent::__construct('recent-posts', __('Recent Posts'), $widget_ops);
  		$this->alt_option_name = 'widget_recent_entries';
  
! 		add_action( 'save_post', array(&$this, 'flush_widget_cache') );
! 		add_action( 'deleted_post', array(&$this, 'flush_widget_cache') );
! 		add_action( 'switch_theme', array(&$this, 'flush_widget_cache') );
  	}
  
  	function widget($args, $instance) {
--- 536,544 ----
  		parent::__construct('recent-posts', __('Recent Posts'), $widget_ops);
  		$this->alt_option_name = 'widget_recent_entries';
  
! 		add_action( 'save_post', array($this, 'flush_widget_cache') );
! 		add_action( 'deleted_post', array($this, 'flush_widget_cache') );
! 		add_action( 'switch_theme', array($this, 'flush_widget_cache') );
  	}
  
  	function widget($args, $instance) {
***************
*** 561,566 ****
--- 561,567 ----
  		$title = apply_filters('widget_title', empty($instance['title']) ? __('Recent Posts') : $instance['title'], $instance, $this->id_base);
  		if ( empty( $instance['number'] ) || ! $number = absint( $instance['number'] ) )
   			$number = 10;
+ 		$show_date = isset( $instance['show_date'] ) ? $instance['show_date'] : false;
  
  		$r = new WP_Query( apply_filters( 'widget_posts_args', array( 'posts_per_page' => $number, 'no_found_rows' => true, 'post_status' => 'publish', 'ignore_sticky_posts' => true ) ) );
  		if ($r->have_posts()) :
***************
*** 568,575 ****
  		<?php echo $before_widget; ?>
  		<?php if ( $title ) echo $before_title . $title . $after_title; ?>
  		<ul>
! 		<?php  while ($r->have_posts()) : $r->the_post(); ?>
! 		<li><a href="<?php the_permalink() ?>" title="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>"><?php if ( get_the_title() ) the_title(); else the_ID(); ?></a></li>
  		<?php endwhile; ?>
  		</ul>
  		<?php echo $after_widget; ?>
--- 569,581 ----
  		<?php echo $before_widget; ?>
  		<?php if ( $title ) echo $before_title . $title . $after_title; ?>
  		<ul>
! 		<?php while ( $r->have_posts() ) : $r->the_post(); ?>
! 			<li>
! 				<a href="<?php the_permalink() ?>" title="<?php echo esc_attr( get_the_title() ? get_the_title() : get_the_ID() ); ?>"><?php if ( get_the_title() ) the_title(); else the_ID(); ?></a>
! 			<?php if ( $show_date ) : ?>
! 				<span class="post-date"><?php echo get_the_date(); ?></span>
! 			<?php endif; ?>
! 			</li>
  		<?php endwhile; ?>
  		</ul>
  		<?php echo $after_widget; ?>
***************
*** 587,592 ****
--- 593,599 ----
  		$instance = $old_instance;
  		$instance['title'] = strip_tags($new_instance['title']);
  		$instance['number'] = (int) $new_instance['number'];
+ 		$instance['show_date'] = (bool) $new_instance['show_date'];
  		$this->flush_widget_cache();
  
  		$alloptions = wp_cache_get( 'alloptions', 'options' );
***************
*** 601,614 ****
  	}
  
  	function form( $instance ) {
! 		$title = isset($instance['title']) ? esc_attr($instance['title']) : '';
! 		$number = isset($instance['number']) ? absint($instance['number']) : 5;
  ?>
! 		<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?></label>
! 		<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></p>
  
! 		<p><label for="<?php echo $this->get_field_id('number'); ?>"><?php _e('Number of posts to show:'); ?></label>
! 		<input id="<?php echo $this->get_field_id('number'); ?>" name="<?php echo $this->get_field_name('number'); ?>" type="text" value="<?php echo $number; ?>" size="3" /></p>
  <?php
  	}
  }
--- 608,625 ----
  	}
  
  	function form( $instance ) {
! 		$title     = isset( $instance['title'] ) ? esc_attr( $instance['title'] ) : '';
! 		$number    = isset( $instance['number'] ) ? absint( $instance['number'] ) : 5;
! 		$show_date = isset( $instance['show_date'] ) ? (bool) $instance['show_date'] : false;
  ?>
! 		<p><label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label>
! 		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo $title; ?>" /></p>
  
! 		<p><label for="<?php echo $this->get_field_id( 'number' ); ?>"><?php _e( 'Number of posts to show:' ); ?></label>
! 		<input id="<?php echo $this->get_field_id( 'number' ); ?>" name="<?php echo $this->get_field_name( 'number' ); ?>" type="text" value="<?php echo $number; ?>" size="3" /></p>
! 
! 		<p><input class="checkbox" type="checkbox" <?php checked( $show_date ); ?> id="<?php echo $this->get_field_id( 'show_date' ); ?>" name="<?php echo $this->get_field_name( 'show_date' ); ?>" />
! 		<label for="<?php echo $this->get_field_id( 'show_date' ); ?>"><?php _e( 'Display post date?' ); ?></label></p>
  <?php
  	}
  }
***************
*** 626,635 ****
  		$this->alt_option_name = 'widget_recent_comments';
  
  		if ( is_active_widget(false, false, $this->id_base) )
! 			add_action( 'wp_head', array(&$this, 'recent_comments_style') );
  
! 		add_action( 'comment_post', array(&$this, 'flush_widget_cache') );
! 		add_action( 'transition_comment_status', array(&$this, 'flush_widget_cache') );
  	}
  
  	function recent_comments_style() {
--- 637,646 ----
  		$this->alt_option_name = 'widget_recent_comments';
  
  		if ( is_active_widget(false, false, $this->id_base) )
! 			add_action( 'wp_head', array($this, 'recent_comments_style') );
  
! 		add_action( 'comment_post', array($this, 'flush_widget_cache') );
! 		add_action( 'transition_comment_status', array($this, 'flush_widget_cache') );
  	}
  
  	function recent_comments_style() {
***************
*** 675,680 ****
--- 686,695 ----
  
  		$output .= '<ul id="recentcomments">';
  		if ( $comments ) {
+ 			// Prime cache for associated posts. (Prime post term cache if we need it for permalinks.)
+ 			$post_ids = array_unique( wp_list_pluck( $comments, 'comment_post_ID' ) );
+ 			_prime_post_caches( $post_ids, strpos( get_option( 'permalink_structure' ), '%category%' ), false );
+ 
  			foreach ( (array) $comments as $comment) {
  				$output .=  '<li class="recentcomments">' . /* translators: comments widget: 1: comment author, 2: post link */ sprintf(_x('%1$s on %2$s', 'widgets'), get_comment_author_link(), '<a href="' . esc_url( get_comment_link($comment->comment_ID) ) . '">' . get_the_title($comment->comment_post_ID) . '</a>') . '</li>';
  			}
***************
*** 829,835 ****
  	$show_date     = (int) $show_date;
  
  	if ( !$rss->get_item_quantity() ) {
! 		echo '<ul><li>' . __( 'An error has occurred; the feed is probably down. Try again later.' ) . '</li></ul>';
  		$rss->__destruct();
  		unset($rss);
  		return;
--- 844,850 ----
  	$show_date     = (int) $show_date;
  
  	if ( !$rss->get_item_quantity() ) {
! 		echo '<ul><li>' . __( 'An error has occurred, which probably means the feed is down. Try again later.' ) . '</li></ul>';
  		$rss->__destruct();
  		unset($rss);
  		return;
***************
*** 935,941 ****
  	<select id="rss-items-<?php echo $number; ?>" name="widget-rss[<?php echo $number; ?>][items]">
  <?php
  		for ( $i = 1; $i <= 20; ++$i )
! 			echo "<option value='$i' " . ( $items == $i ? "selected='selected'" : '' ) . ">$i</option>";
  ?>
  	</select></p>
  <?php endif; if ( $inputs['show_summary'] ) : ?>
--- 950,956 ----
  	<select id="rss-items-<?php echo $number; ?>" name="widget-rss[<?php echo $number; ?>][items]">
  <?php
  		for ( $i = 1; $i <= 20; ++$i )
! 			echo "<option value='$i' " . selected( $items, $i, false ) . ">$i</option>";
  ?>
  	</select></p>
  <?php endif; if ( $inputs['show_summary'] ) : ?>
***************
*** 1130,1137 ****
  			<select id="<?php echo $this->get_field_id('nav_menu'); ?>" name="<?php echo $this->get_field_name('nav_menu'); ?>">
  		<?php
  			foreach ( $menus as $menu ) {
! 				$selected = $nav_menu == $menu->term_id ? ' selected="selected"' : '';
! 				echo '<option'. $selected .' value="'. $menu->term_id .'">'. $menu->name .'</option>';
  			}
  		?>
  			</select>
--- 1145,1153 ----
  			<select id="<?php echo $this->get_field_id('nav_menu'); ?>" name="<?php echo $this->get_field_name('nav_menu'); ?>">
  		<?php
  			foreach ( $menus as $menu ) {
! 				echo '<option value="' . $menu->term_id . '"'
! 					. selected( $nav_menu, $menu->term_id, false )
! 					. '>'. $menu->name . '</option>';
  			}
  		?>
  			</select>
***************
*** 1158,1164 ****
  
  	register_widget('WP_Widget_Archives');
  
! 	register_widget('WP_Widget_Links');
  
  	register_widget('WP_Widget_Meta');
  
--- 1174,1181 ----
  
  	register_widget('WP_Widget_Archives');
  
! 	if ( get_option( 'link_manager_enabled' ) )
! 		register_widget('WP_Widget_Links');
  
  	register_widget('WP_Widget_Meta');
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/deprecated.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/deprecated.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/deprecated.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/deprecated.php	2012-12-17 16:18:39.000000000 -0600
***************
*** 26,32 ****
  function get_postdata($postid) {
  	_deprecated_function( __FUNCTION__, '1.5.1', 'get_post()' );
  
! 	$post = &get_post($postid);
  
  	$postdata = array (
  		'ID' => $post->ID,
--- 26,32 ----
  function get_postdata($postid) {
  	_deprecated_function( __FUNCTION__, '1.5.1', 'get_post()' );
  
! 	$post = get_post($postid);
  
  	$postdata = array (
  		'ID' => $post->ID,
***************
*** 57,70 ****
   * @deprecated Use The Loop - {@link http://codex.wordpress.org/The_Loop Use new WordPress Loop}
   */
  function start_wp() {
! 	global $wp_query, $post;
  
  	_deprecated_function( __FUNCTION__, '1.5', __('new WordPress Loop') );
  
  	// Since the old style loop is being used, advance the query iterator here.
  	$wp_query->next_post();
  
! 	setup_postdata($post);
  }
  
  /**
--- 57,70 ----
   * @deprecated Use The Loop - {@link http://codex.wordpress.org/The_Loop Use new WordPress Loop}
   */
  function start_wp() {
! 	global $wp_query;
  
  	_deprecated_function( __FUNCTION__, '1.5', __('new WordPress Loop') );
  
  	// Since the old style loop is being used, advance the query iterator here.
  	$wp_query->next_post();
  
! 	setup_postdata( get_post() );
  }
  
  /**
***************
*** 984,990 ****
  
  		if ( $show_updated )
  			if (substr($row->link_updated_f, 0, 2) != '00')
! 				$title .= ' ('.__('Last updated') . ' ' . date(get_option('links_updated_date_format'), $row->link_updated_f + (get_option('gmt_offset') * 3600)) . ')';
  
  		if ( '' != $title )
  			$title = ' title="' . $title . '"';
--- 984,990 ----
  
  		if ( $show_updated )
  			if (substr($row->link_updated_f, 0, 2) != '00')
! 				$title .= ' ('.__('Last updated') . ' ' . date(get_option('links_updated_date_format'), $row->link_updated_f + (get_option('gmt_offset') * HOUR_IN_SECONDS)) . ')';
  
  		if ( '' != $title )
  			$title = ' title="' . $title . '"';
***************
*** 1215,1221 ****
   */
  function comments_rss() {
  	_deprecated_function( __FUNCTION__, '2.2', 'get_post_comments_feed_link()' );
! 	return get_post_comments_feed_link();
  }
  
  /**
--- 1215,1221 ----
   */
  function comments_rss() {
  	_deprecated_function( __FUNCTION__, '2.2', 'get_post_comments_feed_link()' );
! 	return esc_url( get_post_comments_feed_link() );
  }
  
  /**
***************
*** 1892,1898 ****
  function get_the_attachment_link($id = 0, $fullsize = false, $max_dims = false, $permalink = false) {
  	_deprecated_function( __FUNCTION__, '2.5', 'wp_get_attachment_link()' );
  	$id = (int) $id;
! 	$_post = & get_post($id);
  
  	if ( ('attachment' != $_post->post_type) || !$url = wp_get_attachment_url($_post->ID) )
  		return __('Missing Attachment');
--- 1892,1898 ----
  function get_the_attachment_link($id = 0, $fullsize = false, $max_dims = false, $permalink = false) {
  	_deprecated_function( __FUNCTION__, '2.5', 'wp_get_attachment_link()' );
  	$id = (int) $id;
! 	$_post = get_post($id);
  
  	if ( ('attachment' != $_post->post_type) || !$url = wp_get_attachment_url($_post->ID) )
  		return __('Missing Attachment');
***************
*** 1921,1927 ****
  function get_attachment_icon_src( $id = 0, $fullsize = false ) {
  	_deprecated_function( __FUNCTION__, '2.5', 'wp_get_attachment_image_src()' );
  	$id = (int) $id;
! 	if ( !$post = & get_post($id) )
  		return false;
  
  	$file = get_attached_file( $post->ID );
--- 1921,1927 ----
  function get_attachment_icon_src( $id = 0, $fullsize = false ) {
  	_deprecated_function( __FUNCTION__, '2.5', 'wp_get_attachment_image_src()' );
  	$id = (int) $id;
! 	if ( !$post = get_post($id) )
  		return false;
  
  	$file = get_attached_file( $post->ID );
***************
*** 1966,1972 ****
  function get_attachment_icon( $id = 0, $fullsize = false, $max_dims = false ) {
  	_deprecated_function( __FUNCTION__, '2.5', 'wp_get_attachment_image()' );
  	$id = (int) $id;
! 	if ( !$post = & get_post($id) )
  		return false;
  
  	if ( !$src = get_attachment_icon_src( $post->ID, $fullsize ) )
--- 1966,1972 ----
  function get_attachment_icon( $id = 0, $fullsize = false, $max_dims = false ) {
  	_deprecated_function( __FUNCTION__, '2.5', 'wp_get_attachment_image()' );
  	$id = (int) $id;
! 	if ( !$post = get_post($id) )
  		return false;
  
  	if ( !$src = get_attachment_icon_src( $post->ID, $fullsize ) )
***************
*** 2023,2029 ****
  function get_attachment_innerHTML($id = 0, $fullsize = false, $max_dims = false) {
  	_deprecated_function( __FUNCTION__, '2.5', 'wp_get_attachment_image()' );
  	$id = (int) $id;
! 	if ( !$post = & get_post($id) )
  		return false;
  
  	if ( $innerHTML = get_attachment_icon($post->ID, $fullsize, $max_dims))
--- 2023,2029 ----
  function get_attachment_innerHTML($id = 0, $fullsize = false, $max_dims = false) {
  	_deprecated_function( __FUNCTION__, '2.5', 'wp_get_attachment_image()' );
  	$id = (int) $id;
! 	if ( !$post = get_post($id) )
  		return false;
  
  	if ( $innerHTML = get_attachment_icon($post->ID, $fullsize, $max_dims))
***************
*** 2801,2807 ****
  	_deprecated_function( __FUNCTION__, '3.3' );
  
  	if ( ! empty( $GLOBALS['post'] ) && ! empty( $GLOBALS['post']->post_parent ) )
! 		$post = & get_post($GLOBALS['post']->post_parent);
  
  	if ( empty($post) )
  		return;
--- 2801,2807 ----
  	_deprecated_function( __FUNCTION__, '3.3' );
  
  	if ( ! empty( $GLOBALS['post'] ) && ! empty( $GLOBALS['post']->post_parent ) )
! 		$post = get_post($GLOBALS['post']->post_parent);
  
  	if ( empty($post) )
  		return;
***************
*** 3097,3103 ****
   * @return array Theme data.
   */
  function get_theme_data( $theme_file ) {
! 	_deprecated_function( __FUNCTION__, 3.4, 'wp_get_theme()' );
  	$theme = new WP_Theme( basename( dirname( $theme_file ) ), dirname( dirname( $theme_file ) ) );
  
  	$theme_data = array(
--- 3097,3103 ----
   * @return array Theme data.
   */
  function get_theme_data( $theme_file ) {
! 	_deprecated_function( __FUNCTION__, '3.4', 'wp_get_theme()' );
  	$theme = new WP_Theme( basename( dirname( $theme_file ) ), dirname( dirname( $theme_file ) ) );
  
  	$theme_data = array(
***************
*** 3133,3139 ****
   * @param array $pages list of page objects
   */
  function update_page_cache( &$pages ) {
! 	_deprecated_function( __FUNCTION__, 3.4, 'update_post_cache()' );
  
  	update_post_cache( $pages );
  }
--- 3133,3139 ----
   * @param array $pages list of page objects
   */
  function update_page_cache( &$pages ) {
! 	_deprecated_function( __FUNCTION__, '3.4', 'update_post_cache()' );
  
  	update_post_cache( $pages );
  }
***************
*** 3152,3158 ****
   * @param int $id Page ID to clean
   */
  function clean_page_cache( $id ) {
! 	_deprecated_function( __FUNCTION__, 3.4, 'clean_post_cache()' );
  
  	clean_post_cache( $id );
  }
--- 3152,3366 ----
   * @param int $id Page ID to clean
   */
  function clean_page_cache( $id ) {
! 	_deprecated_function( __FUNCTION__, '3.4', 'clean_post_cache()' );
  
  	clean_post_cache( $id );
  }
+ 
+ /**
+  * Retrieve nonce action "Are you sure" message.
+  *
+  * Deprecated in 3.4.1 and 3.5.0. Backported to 3.3.3.
+  *
+  * @since 2.0.4
+  * @deprecated 3.4.1
+  * @deprecated Use wp_nonce_ays()
+  * @see wp_nonce_ays()
+  *
+  * @param string $action Nonce action.
+  * @return string Are you sure message.
+  */
+ function wp_explain_nonce( $action ) {
+ 	_deprecated_function( __FUNCTION__, '3.4.1', 'wp_nonce_ays()' );
+ 	return __( 'Are you sure you want to do this?' );
+ }
+ 
+ /**
+  * Display "sticky" CSS class, if a post is sticky.
+  *
+  * @since 2.7.0
+  * @deprecated 3.5.0
+  * @deprecated Use post_class()
+  * @see post_class()
+  *
+  * @param int $post_id An optional post ID.
+  */
+ function sticky_class( $post_id = null ) {
+ 	_deprecated_function( __FUNCTION__, '3.5', 'post_class()' );
+ 	if ( is_sticky( $post_id ) )
+ 		echo ' sticky';
+ }
+ 
+ /**
+  * Retrieve post ancestors.
+  *
+  * This is no longer needed as WP_Post lazy-loads the ancestors
+  * property with get_post_ancestors().
+  *
+  * @since 2.3.4
+  * @deprecated 3.5.0
+  * @see get_post_ancestors()
+  */
+ function _get_post_ancestors( &$post ) {
+ 	_deprecated_function( __FUNCTION__, '3.5' );
+ }
+ 
+ /**
+  * Load an image from a string, if PHP supports it.
+  *
+  * @since 2.1.0
+  * @deprecated 3.5.0
+  * @see wp_get_image_editor()
+  *
+  * @param string $file Filename of the image to load.
+  * @return resource The resulting image resource on success, Error string on failure.
+  */
+ function wp_load_image( $file ) {
+ 	_deprecated_function( __FUNCTION__, '3.5', 'wp_get_image_editor()' );
+ 
+ 	if ( is_numeric( $file ) )
+ 		$file = get_attached_file( $file );
+ 
+ 	if ( ! is_file( $file ) )
+ 		return sprintf(__('File &#8220;%s&#8221; doesn&#8217;t exist?'), $file);
+ 
+ 	if ( ! function_exists('imagecreatefromstring') )
+ 		return __('The GD image library is not installed.');
+ 
+ 	// Set artificially high because GD uses uncompressed images in memory
+ 	@ini_set( 'memory_limit', apply_filters( 'image_memory_limit', WP_MAX_MEMORY_LIMIT ) );
+ 	$image = imagecreatefromstring( file_get_contents( $file ) );
+ 
+ 	if ( !is_resource( $image ) )
+ 		return sprintf(__('File &#8220;%s&#8221; is not an image.'), $file);
+ 
+ 	return $image;
+ }
+ 
+ /**
+  * Scale down an image to fit a particular size and save a new copy of the image.
+  *
+  * The PNG transparency will be preserved using the function, as well as the
+  * image type. If the file going in is PNG, then the resized image is going to
+  * be PNG. The only supported image types are PNG, GIF, and JPEG.
+  *
+  * Some functionality requires API to exist, so some PHP version may lose out
+  * support. This is not the fault of WordPress (where functionality is
+  * downgraded, not actual defects), but of your PHP version.
+  *
+  * @since 2.5.0
+  * @deprecated 3.5.0
+  * @see wp_get_image_editor()
+  *
+  * @param string $file Image file path.
+  * @param int $max_w Maximum width to resize to.
+  * @param int $max_h Maximum height to resize to.
+  * @param bool $crop Optional. Whether to crop image or resize.
+  * @param string $suffix Optional. File suffix.
+  * @param string $dest_path Optional. New image file path.
+  * @param int $jpeg_quality Optional, default is 90. Image quality percentage.
+  * @return mixed WP_Error on failure. String with new destination path.
+  */
+ function image_resize( $file, $max_w, $max_h, $crop = false, $suffix = null, $dest_path = null, $jpeg_quality = 90 ) {
+ 	_deprecated_function( __FUNCTION__, '3.5', 'wp_get_image_editor()' );
+ 
+ 	$editor = wp_get_image_editor( $file );
+ 	if ( is_wp_error( $editor ) )
+ 		return $editor;
+ 	$editor->set_quality( $jpeg_quality );
+ 
+ 	$resized = $editor->resize( $max_w, $max_h, $crop );
+ 	if ( is_wp_error( $resized ) )
+ 		return $resized;
+ 
+ 	$dest_file = $editor->generate_filename( $suffix, $dest_path );
+ 	$saved = $editor->save( $dest_file );
+ 
+ 	if ( is_wp_error( $saved ) )
+ 		return $saved;
+ 
+ 	return $dest_file;
+ }
+ 
+ /**
+  * Retrieve a single post, based on post ID.
+  *
+  * Has categories in 'post_category' property or key. Has tags in 'tags_input'
+  * property or key.
+  *
+  * @since 1.0.0
+  * @deprecated 3.5.0
+  * @see get_post()
+  *
+  * @param int $postid Post ID.
+  * @param string $mode How to return result, either OBJECT, ARRAY_N, or ARRAY_A.
+  * @return object|array Post object or array holding post contents and information
+  */
+ function wp_get_single_post( $postid = 0, $mode = OBJECT ) {
+ 	_deprecated_function( __FUNCTION__, '3.5', 'get_post()' );
+ 	return get_post( $postid, $mode, 'edit' );
+ }
+ 
+ /**
+  * Check that the user login name and password is correct.
+  *
+  * @since 0.71
+  * @deprecated 3.5.0
+  * @deprecated Use wp_authenticate()
+  * @see wp_authenticate()
+  *
+  * @param string $user_login User name.
+  * @param string $user_pass User password.
+  * @return bool False if does not authenticate, true if username and password authenticates.
+  */
+ function user_pass_ok($user_login, $user_pass) {
+ 	_deprecated_function( __FUNCTION__, '3.5', 'wp_authenticate()' );
+ 	$user = wp_authenticate( $user_login, $user_pass );
+ 	if ( is_wp_error( $user ) )
+ 		return false;
+ 
+ 	return true;
+ }
+ 
+ /**
+  * Callback formerly fired on the save_post hook. No longer needed.
+  *
+  * @since 2.3.0
+  * @deprecated 3.5.0
+  */
+ function _save_post_hook() {}
+ 
+ /**
+  * Check if the installed version of GD supports particular image type
+  *
+  * @since 2.9.0
+  * @deprecated 3.5.0
+  * see wp_image_editor_supports()
+  *
+  * @param string $mime_type
+  * @return bool
+  */
+ function gd_edit_image_support($mime_type) {
+ 	_deprecated_function( __FUNCTION__, '3.5', 'wp_image_editor_supports()' );
+ 
+ 	if ( function_exists('imagetypes') ) {
+ 		switch( $mime_type ) {
+ 			case 'image/jpeg':
+ 				return (imagetypes() & IMG_JPG) != 0;
+ 			case 'image/png':
+ 				return (imagetypes() & IMG_PNG) != 0;
+ 			case 'image/gif':
+ 				return (imagetypes() & IMG_GIF) != 0;
+ 		}
+ 	} else {
+ 		switch( $mime_type ) {
+ 			case 'image/jpeg':
+ 				return function_exists('imagecreatefromjpeg');
+ 			case 'image/png':
+ 				return function_exists('imagecreatefrompng');
+ 			case 'image/gif':
+ 				return function_exists('imagecreatefromgif');
+ 		}
+ 	}
+ 	return false;
+ }
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/feed-atom-comments.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/feed-atom-comments.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/feed-atom-comments.php	2012-10-29 12:35:29.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/feed-atom-comments.php	2012-12-17 16:18:39.000000000 -0600
***************
*** 16,26 ****
  >
  	<title type="text"><?php
  		if ( is_singular() )
! 			printf(ent2ncr(__('Comments on %s')), get_the_title_rss());
  		elseif ( is_search() )
! 			printf(ent2ncr(__('Comments for %1$s searching on %2$s')), get_bloginfo_rss( 'name' ), get_search_query() );
  		else
! 			printf(ent2ncr(__('Comments for %s')), get_bloginfo_rss( 'name' ) . get_wp_title_rss());
  	?></title>
  	<subtitle type="text"><?php bloginfo_rss('description'); ?></subtitle>
  
--- 16,26 ----
  >
  	<title type="text"><?php
  		if ( is_singular() )
! 			printf( ent2ncr( __( 'Comments on %s' ) ), get_the_title_rss() );
  		elseif ( is_search() )
! 			printf( ent2ncr( __( 'Comments for %1$s searching on %2$s' ) ), get_bloginfo_rss( 'name' ), get_search_query() );
  		else
! 			printf( ent2ncr( __( 'Comments for %s' ) ), get_bloginfo_rss( 'name' ) . get_wp_title_rss() );
  	?></title>
  	<subtitle type="text"><?php bloginfo_rss('description'); ?></subtitle>
  
***************
*** 28,35 ****
  
  <?php if ( is_singular() ) { ?>
  	<link rel="alternate" type="<?php bloginfo_rss('html_type'); ?>" href="<?php comments_link_feed(); ?>" />
! 	<link rel="self" type="application/atom+xml" href="<?php echo get_post_comments_feed_link('', 'atom'); ?>" />
! 	<id><?php echo get_post_comments_feed_link('', 'atom'); ?></id>
  <?php } elseif(is_search()) { ?>
  	<link rel="alternate" type="<?php bloginfo_rss('html_type'); ?>" href="<?php echo home_url() . '?s=' . get_search_query(); ?>" />
  	<link rel="self" type="application/atom+xml" href="<?php echo get_search_comments_feed_link('', 'atom'); ?>" />
--- 28,35 ----
  
  <?php if ( is_singular() ) { ?>
  	<link rel="alternate" type="<?php bloginfo_rss('html_type'); ?>" href="<?php comments_link_feed(); ?>" />
! 	<link rel="self" type="application/atom+xml" href="<?php echo esc_url( get_post_comments_feed_link('', 'atom') ); ?>" />
! 	<id><?php echo esc_url( get_post_comments_feed_link('', 'atom') ); ?></id>
  <?php } elseif(is_search()) { ?>
  	<link rel="alternate" type="<?php bloginfo_rss('html_type'); ?>" href="<?php echo home_url() . '?s=' . get_search_query(); ?>" />
  	<link rel="self" type="application/atom+xml" href="<?php echo get_search_comments_feed_link('', 'atom'); ?>" />
